/*
                  Manual Page Editor: About Dialog
 */

#ifndef ABOUTDIALOG_H
#define ABOUTDIALOG_H

#include <gtk/gtk.h>


/*
 *	About Dialog:
 */
typedef struct {

	gboolean	initialized,
			map_state;
	gpointer	core_ptr;
	GtkWidget	*toplevel,
			*main_label,
			*plugins_list,
			*ok_btn;
} about_dialog_struct;
#define ABOUT_DIALOG(p)	((about_dialog_struct *)(p))


extern about_dialog_struct *AboutDialogNew(void *core_ptr);
extern void AboutDialogMap(about_dialog_struct *ad);
extern void AboutDialogUnmap(about_dialog_struct *ad);
extern void AboutDialogDelete(about_dialog_struct *ad);


#endif	/* ABOUTDIALOG_H */
